Bug 79824 - Internet Configuration wizard
Internet Configuration wizard
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: internet-config (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-16 23:12 EST by Ashok Marudanayakam
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-17 10:54:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashok Marudanayakam 2002-12-16 23:12:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1400, in ?
    window = mainDialog('druid')
  File "/usr/sbin/internet-druid", line 238, in __init__
    if modus == 'druid': self.on_deviceAddButton_clicked(None)
  File "/usr/sbin/internet-druid", line 473, in on_deviceAddButton_clicked
    interface = NewInterfaceDialog()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
line 82, in __init__
    iface = iface_creator (self.toplevel, do_save = None, druid = self.druid)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterface.py",
line 101, in __init__
    self.hwDruid = ethernetHardware(self.toplevel)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 64, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.py",
line 118, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84c49b8>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA
wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365
wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan
NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet',
'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.EthernetHardwareDruid.ethernetHardware instance at 8538450>
i: defxx


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Installed Kernel 2.4.18.18.7 for i586 using up2date program
2.Try to re-configure the internet configuration wizard
3.
    

Actual Results:  I have redhat 7.3 version kernel i386 from the CD. I ran
up2date to download the latest kernel 2.4.18.18.7 for i586. Installation went
fine and everthing seems ok. when I tried to tun the internet configuration
wizard the program crashed with error message mentioned above.

Expected Results:  The internet wizard should have listed all the devices to use
internet.

Additional info:
Comment 1 Ngo Than 2002-12-17 10:54:34 EST
as i know it's fixed in redhat-config-network-1.0.3-1. You find it on
ftp://people.redhat.com/harald/redhat-config-network/1.0.3-1/i386/
or 7.3 errata.

Note You need to log in before you can comment on or make changes to this bug.